/*
 * Class EV_BEEP
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_966 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_966 [] = {0xFF01,1551,965,0xFFFF};
static const EIF_TYPE_INDEX egt_2_966 [] = {0xFF01,965,0xFFFF};
static const EIF_TYPE_INDEX egt_3_966 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_966 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_966 [] = {0xFF01,965,0xFFFF};
static const EIF_TYPE_INDEX egt_6_966 [] = {0xFF01,965,0xFFFF};
static const EIF_TYPE_INDEX egt_7_966 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_966 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_966 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_966 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_966 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_966 [] = {0xFF01,965,0xFFFF};
static const EIF_TYPE_INDEX egt_13_966 [] = {0xFF01,1124,0xFFFF};
static const EIF_TYPE_INDEX egt_14_966 [] = {0xFF01,1141,0xFFFF};


static const struct desc_info desc_966[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_966), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_966), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_966), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_966), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_966), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_966), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_966), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_966), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_966), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_966), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_966), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_966), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x078B /*965*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_966), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_966), 24386, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24388, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24387, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_966), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24381, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24382, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24383, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24384, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24385, 0xFFFFFFFF},
};
void Init966(void)
{
	IDSC(desc_966, 0, 965);
	IDSC(desc_966 + 1, 1, 965);
	IDSC(desc_966 + 32, 1593, 965);
	IDSC(desc_966 + 47, 654, 965);
}


#ifdef __cplusplus
}
#endif
